# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-10-17 11:12
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import pcart_product_finder.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ObjectGeneration',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('start_production', models.PositiveIntegerField(verbose_name='Start production')),
                ('finish_production', models.PositiveIntegerField(verbose_name='Finish production')),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='Added')),
                ('changed', models.DateTimeField(auto_now=True, verbose_name='Changed')),
            ],
            options={
                'verbose_name_plural': 'Object generations',
                'verbose_name': 'Object generation',
            },
        ),
        migrations.CreateModel(
            name='ObjectModel',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('slug', models.SlugField(max_length=255, verbose_name='Slug')),
                ('image', models.ImageField(blank=True, null=True, upload_to=pcart_product_finder.models.generate_object_model_image_filename, verbose_name='Image')),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='Added')),
                ('changed', models.DateTimeField(auto_now=True, verbose_name='Changed')),
            ],
            options={
                'verbose_name_plural': 'Object models',
                'verbose_name': 'Object model',
            },
        ),
        migrations.CreateModel(
            name='ObjectVariant',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('slug', models.SlugField(max_length=255, verbose_name='Slug')),
                ('object_generation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pcart_product_finder.ObjectGeneration', verbose_name='Object generation')),
            ],
            options={
                'verbose_name_plural': 'Object variants',
                'verbose_name': 'Object variant',
            },
        ),
        migrations.CreateModel(
            name='ObjectVendor',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255, unique=True, verbose_name='Title')),
                ('slug', models.SlugField(max_length=255, unique=True, verbose_name='Slug')),
                ('image', models.ImageField(blank=True, null=True, upload_to=pcart_product_finder.models.generate_object_vendor_image_filename, verbose_name='Image')),
                ('added', models.DateTimeField(auto_now_add=True, verbose_name='Added')),
                ('changed', models.DateTimeField(auto_now=True, verbose_name='Changed')),
            ],
            options={
                'ordering': ['title'],
                'verbose_name_plural': 'Object vendors',
                'verbose_name': 'Object vendor',
            },
        ),
        migrations.AddField(
            model_name='objectmodel',
            name='object_vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pcart_product_finder.ObjectVendor', verbose_name='Object vendor'),
        ),
        migrations.AddField(
            model_name='objectgeneration',
            name='object_model',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pcart_product_finder.ObjectModel', verbose_name='Object model'),
        ),
        migrations.AlterUniqueTogether(
            name='objectvariant',
            unique_together=set([('object_generation', 'slug')]),
        ),
        migrations.AlterUniqueTogether(
            name='objectmodel',
            unique_together=set([('object_vendor', 'slug')]),
        ),
        migrations.AlterUniqueTogether(
            name='objectgeneration',
            unique_together=set([('object_model', 'start_production', 'finish_production')]),
        ),
    ]
